curl --request POST \
--url https://apix.us.amity.co/api/v3/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"text": "<string>",
"title": "<string>",
"images": [
"<string>"
],
"files": [
"<string>"
]
},
"text": "<string>",
"dataType": "upstra.customtype",
"targetType": "user",
"targetId": "<userId>",
"metadata": {},
"postId": "<string>",
"tags": [
"<string>"
],
"createdAt": "2022-07-07T04:24:20.444Z"
}
'import requests
url = "https://apix.us.amity.co/api/v3/posts"
payload = {
"data": {
"text": "<string>",
"title": "<string>",
"images": ["<string>"],
"files": ["<string>"]
},
"text": "<string>",
"dataType": "upstra.customtype",
"targetType": "user",
"targetId": "<userId>",
"metadata": {},
"postId": "<string>",
"tags": ["<string>"],
"createdAt": "2022-07-07T04:24:20.444Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {text: '<string>', title: '<string>', images: ['<string>'], files: ['<string>']},
text: '<string>',
dataType: 'upstra.customtype',
targetType: 'user',
targetId: '<userId>',
metadata: {},
postId: '<string>',
tags: ['<string>'],
createdAt: '2022-07-07T04:24:20.444Z'
})
};
fetch('https://apix.us.amity.co/api/v3/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"posts": [
{
"postId": "<string>",
"data": {
"title": "<string>",
"text": "<string>",
"fileId": "<string>",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
},
"streamId": "<string>"
},
"_id": "<string>",
"path": "<string>",
"parentPostId": "<string>",
"postedUserId": "<string>",
"postedUserPublicId": "<string>",
"postedUserInternalId": "<string>",
"sharedUserId": "<string>",
"sharedCount": 123,
"targetId": "<string>",
"targetPublicId": "<string>",
"targetInternalId": "<string>",
"dataType": "text",
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"comments": [
"<string>"
],
"children": [
"<string>"
],
"childrenNumber": 123,
"isDeleted": false,
"hasFlaggedComment": false,
"hasFlaggedChildren": false,
"feedId": "<string>",
"tags": [
"<string>"
],
"hashtags": [
"technology",
"programming",
"web_development",
"JavaScript",
"AI_trends"
],
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"structureType": "text"
}
],
"postChildren": [
{
"postId": "<string>",
"data": {
"title": "<string>",
"text": "<string>",
"fileId": "<string>",
"thumbnailFileId": "<string>",
"videoFileId": {
"original": "<string>",
"low": "<string>",
"medium": "<string>",
"high": "<string>"
},
"streamId": "<string>"
},
"_id": "<string>",
"path": "<string>",
"parentPostId": "<string>",
"postedUserId": "<string>",
"postedUserPublicId": "<string>",
"postedUserInternalId": "<string>",
"sharedUserId": "<string>",
"sharedCount": 123,
"targetId": "<string>",
"targetPublicId": "<string>",
"targetInternalId": "<string>",
"dataType": "text",
"metadata": {},
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"commentsCount": 1,
"comments": [
"<string>"
],
"children": [
"<string>"
],
"childrenNumber": 123,
"isDeleted": false,
"hasFlaggedComment": false,
"hasFlaggedChildren": false,
"feedId": "<string>",
"tags": [
"<string>"
],
"hashtags": [
"technology",
"programming",
"web_development",
"JavaScript",
"AI_trends"
],
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"impression": 123,
"reach": 123,
"structureType": "text"
}
],
"comments": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"feeds": [
{
"targetId": "<string>",
"postCount": 123,
"feedId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"videoStreamings": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"videoStreamingChildren": [
{
"streamId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"thumbnailFileId": "<string>",
"title": "<string>",
"isLive": true,
"isDeleted": true,
"description": "<string>",
"platform": {
"name": "<string>",
"version": "<string>"
},
"moderationId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"resolution": "SD",
"streamerUrl": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"recordings": [
{
"flv": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"mp4": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
},
"m3u8": {
"url": "<string>",
"duration": 123,
"startTime": 123,
"stopTime": 123
}
}
],
"watcherUrl": {
"flv": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"hls": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
},
"rtmp": {
"url": "<string>",
"components": {
"origin": "<string>",
"appName": "<string>",
"streamName": "<string>",
"query": "<string>"
}
}
},
"postId": "<string>",
"channelId": "<string>",
"channelEnabled": true,
"isParent": false,
"parentStreamId": "<string>",
"childStreamIds": []
}
],
"rooms": [
{
"_id": "<string>",
"targetId": "<string>",
"referenceType": "post",
"referenceId": "<string>",
"liveChannelId": "<string>",
"liveChatEnabled": true,
"title": "<string>",
"roomId": "<string>",
"description": "<string>",
"thumbnailFileId": "<string>",
"participants": [
{
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f"
}
],
"livePlaybackUrl": "https://stream.example.com/someid.m3u8?token=token",
"liveThumbnailUrl": "https://image.example.com/someid/thumbnail.png?token=token",
"recordedPlaybackInfos": [
{
"url": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/watch",
"thumbnailUrl": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/thumbnail"
}
],
"durationSeconds": 123,
"moderation": {
"flagLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentRoomId": "<string>",
"childRoomIds": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creatorInternalId": "64be1f6cb9b4106b5a6bbf3f",
"updatedAt": "2023-11-07T05:31:56Z",
"liveAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "<string>",
"path": "<string>",
"metadata": {}
}
],
"roomChildrens": [
{
"_id": "<string>",
"targetId": "<string>",
"referenceType": "post",
"referenceId": "<string>",
"liveChannelId": "<string>",
"liveChatEnabled": true,
"title": "<string>",
"roomId": "<string>",
"description": "<string>",
"thumbnailFileId": "<string>",
"participants": [
{
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f"
}
],
"livePlaybackUrl": "https://stream.example.com/someid.m3u8?token=token",
"liveThumbnailUrl": "https://image.example.com/someid/thumbnail.png?token=token",
"recordedPlaybackInfos": [
{
"url": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/watch",
"thumbnailUrl": "https://apix.eu.amity.co/api/v1/rooms/roomid/recorded/someid/thumbnail"
}
],
"durationSeconds": 123,
"moderation": {
"flagLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"terminateLabels": [
{
"category": "<string>",
"threshold": 123,
"detectedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"parentRoomId": "<string>",
"childRoomIds": [],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"creatorInternalId": "64be1f6cb9b4106b5a6bbf3f",
"updatedAt": "2023-11-07T05:31:56Z",
"liveAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"recordedAt": "2023-11-07T05:31:56Z",
"isDeleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "<string>",
"path": "<string>",
"metadata": {}
}
],
"polls": [
{
"pollId": "<string>",
"userId": "<string>",
"userInternalId": "64be1f6cb9b4106b5a6bbf3f",
"userPublicId": "User123",
"title": "<string>",
"question": "<string>",
"answers": [
{
"data": "<string>",
"fileId": "<string>",
"voteCount": 0,
"isVotedByUser": false,
"id": "<string>"
}
],
"answerType": "<string>",
"closedAt": "<string>",
"createdAt": "<string>",
"isVoted": false,
"status": "open",
"closedIn": 123
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}create a post
Create a post
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
information of a post to be created.
When dataType is set data payload can be anything but it will not support normal data capability (ex. images and files) and data payload size will be limit to 100kb
require text or images or files (can't add images with files)
Show child attributes
Show child attributes
must be in namespace like format (ex. "upstra.customtype", "com.eko.birthday")
"upstra.customtype"
user, community, content "<userId>"
5tags
The date/time when a post is created.
"2022-07-07T04:24:20.444Z"
Response
Post Information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes